<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- Edited by CulturedCode -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template name="FormatDate">
    <xsl:param name="DateTime" />
    
    <xsl:variable name="year">
      <xsl:value-of select="substring($DateTime,1,4)" />
    </xsl:variable>
    <xsl:variable name="month">
      <xsl:value-of select="substring($DateTime,6,2)" />
    </xsl:variable>
    <xsl:variable name="day">
      <xsl:value-of select="substring($DateTime,9,2)" />
    </xsl:variable>
    
    <xsl:choose>
      <xsl:when test="$month = '01'">Jan</xsl:when>
      <xsl:when test="$month = '02'">Feb</xsl:when>
      <xsl:when test="$month = '03'">Mar</xsl:when>
      <xsl:when test="$month = '04'">Apr</xsl:when>
      <xsl:when test="$month = '05'">May</xsl:when>
      <xsl:when test="$month = '06'">Jun</xsl:when>
      <xsl:when test="$month = '07'">Jul</xsl:when>
      <xsl:when test="$month = '08'">Aug</xsl:when>
      <xsl:when test="$month = '09'">Sep</xsl:when>
      <xsl:when test="$month = '10'">Oct</xsl:when>
      <xsl:when test="$month = '11'">Nov</xsl:when>
      <xsl:when test="$month = '12'">Dec</xsl:when>
    </xsl:choose> <xsl:value-of select="' '"/><xsl:if test="(number($day) &gt; 2)">
      <xsl:value-of select="$day"/><xsl:value-of select="'th'"/>
    </xsl:if>
    <xsl:if test="(number($day) = 1)">
      <xsl:value-of select="'1st'"/>
    </xsl:if>
    <xsl:if test="(number($day) = 2)">
      <xsl:value-of select="'2nd'"/>
    </xsl:if>
    <xsl:value-of select="', '"/><xsl:value-of select="$year"/>
</xsl:template>


<xsl:template name="FormatTodo">
	<li>
		<xsl:attribute name="class">
			<xsl:choose>
				<xsl:when test="@status = 'completed'">todo completed</xsl:when>
				<xsl:when test="@status = 'canceled'">todo canceled</xsl:when>
				<xsl:otherwise>todo</xsl:otherwise>
			</xsl:choose>
 		</xsl:attribute>
 	
 		<div class="checkbox"></div>
 		<xsl:if test="(string-length(duedate) &gt; 0)">
			<div class="duedate">Due on <xsl:value-of select="substring(duedate,1,10)" /></div>
		</xsl:if>
		<div class="title"><xsl:value-of select="@title"/></div>
		<xsl:if test="(string-length(notes) &gt; 0)">
			<div class="notes"><xsl:value-of select="notes"/></div>
		</xsl:if>
	</li>
</xsl:template>

<xsl:template name="FormatProject">
	<li>
		<xsl:attribute name="class">
			<xsl:choose>
				<xsl:when test="@status = 'completed'">project completed</xsl:when>
				<xsl:when test="@status = 'canceled'">project canceled</xsl:when>
				<xsl:otherwise>project</xsl:otherwise>
			</xsl:choose>
 		</xsl:attribute>
	
		<div class="checkbox"></div>
 		<xsl:if test="(string-length(duedate) &gt; 0)">
			<div class="duedate">Due on <xsl:value-of select="substring(duedate,1,10)" /></div>
		</xsl:if>
		<div class="title"><xsl:value-of select="@title"/></div>
		<xsl:if test="(string-length(notes) &gt; 0)">
			<div class="notes"><xsl:value-of select="notes"/></div>
		</xsl:if>
	<ol>
		<xsl:for-each select="todo">
			<xsl:call-template name="FormatTodo" />
		</xsl:for-each>
	</ol>
	</li>
</xsl:template>

<xsl:template match="/">
  <html>
  <head>
	<base href="###MY_BASE###" />
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<title>
	
	  	<xsl:choose>
	  	<xsl:when test="(string-length(/things/@author) &gt; 0)">
	  	
			<xsl:for-each select="things/person">
		  		<xsl:if test="@id = /things/@author">
		  		To-do list
				from <xsl:value-of select="firstname"/><xsl:value-of select="' '"/><xsl:value-of select="lastname"/>
				created on
					<xsl:call-template name="FormatDate">
		          		<xsl:with-param name="DateTime" select="/things/@created"/>
		        	</xsl:call-template>
				</xsl:if>
			</xsl:for-each>
				</xsl:when>
			<xsl:otherwise>
				To-do
				created on
					<xsl:call-template name="FormatDate">
		          		<xsl:with-param name="DateTime" select="/things/@created"/>
		        	</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
	
	</title>
    <style type="text/css">
body {
	font-family: 'Lucida Grande', Verdana, sans-serif;
	font-size: 12px;
	line-height: 16px;
	color: #222;
	background-color: #b4b9c3;
	padding: 1.5em;
}

h1 {
	font-size: 12px;
	font-weight: bold;
	text-shadow: 0px 1px #eee;
	color: #555;
	text-align: center;
	margin-bottom: 16px;
}

a {
	color: #3078bf;
	text-decoration: none;
}

a:hover {
	text-decoration: underline;
}

ol {
	list-style: none;
	margin: 0px;
	padding: 0px;
}








/* ITEMS
================================================================ */

.todo {
	position: relative;
	background-color: #fff;
	margin-bottom: 1px;
	border-bottom: 1px solid #eee;
	-webkit-border-radius: 2px;
	-moz-border-radius: 2px;
	-webkit-box-shadow: 0px 1px 3px #888;
	-moz-box-shadow: 0px 1px 3px #888;
	z-index: 0;
}

.project {
	position: relative;
	margin-top: 20px;
	margin-bottom: 20px;
	-webkit-border-radius: 6px;
	-moz-border-radius: 6px;
	-webkit-box-shadow: 0px 1px 3px #888;
	-moz-box-shadow: 0px 1px 3px #888;
	background-color: #c6c9d0;
	margin-left: -10px;
	margin-right: -10px;
	z-index: 2;
}

.project .todo {
	z-index: 3;
}

.project ol {
	padding: 10px;
}


/* status specific
---------------------------------------------------------------- */

.completed,
.canceled,
.completed .todo,
.canceled .todo {
	background-color: #c6c9d0;
	border-bottom: 0px;
	padding-bottom: 1px;
	-webkit-box-shadow: none;
	-moz-box-shadow: none;
	z-index: -1;
	color: #585d61;
}










/* ATTRIBUTES
================================================================ */

.checkbox {
	position: absolute;
	top: 5px;
	left: 6px;
	background: url(ThingsFileImages/checkbox_blank-N.png) no-repeat;
	width: 16px;
	height: 16px;
	margin: 0px;
	padding: 0px;
}

.title {
	padding: 6px 10px 4px 28px;
}

.notes {
	color: #55544f;
	background-color: #faf7e8;
	border-top: 1px solid #e0e0e0;
	padding: 6px 10px 8px 28px;
	word-wrap: break-word;
	white-space: pre-wrap;
}

.duedate {
	float: right;
	width: 12em;
	height: 16px;
	margin-left: 6px;
	overflow: hidden;
	font-size: 10px;
	text-align: center;
	padding: 6px 4px 5px 8px;
	border-left: 1px solid #e0e0e0;
}

/* status specific
---------------------------------------------------------------- */

.completed .checkbox {
	background-image: url(ThingsFileImages/checkbox_done-N.png);
}


.canceled .checkbox {
	background-image: url(ThingsFileImages/checkbox_canceled-N.png);
}

.canceled .title {
	text-decoration: line-through;
}

.completed .duedate,
.canceled .duedate {
	border-left: none;
}

.completed .notes,
.canceled .notes {
	color: #585d61;
	background-color: #c6c9d0;
	border-top: none;
}


/* item specific
---------------------------------------------------------------- */

.project > .checkbox {
	width: 24px;
	height: 24px;
	top: 7px;
	left: 8px;
	background-image: url(ThingsFileImages/checkbox_big_blank-N.png);
}

.project > .title {
	font-size: 14px;
	font-weight: normal;
	padding: 10px 10px 10px 38px;
	background-color: #fff;
	-webkit-border-top-left-radius: 6px;
	-moz-border-radius-topleft: 6px;
	-webkit-border-top-right-radius: 6px;
	-moz-border-radius-topright: 6px;
}

.project > .duedate {
	height: 20px;
	padding-top: 11px;
	width: 13em;
}

.project > .notes {
	padding-left: 38px;
}


/* item and status specific
---------------------------------------------------------------- */

.project.completed > .checkbox {
	background-image: url(ThingsFileImages/checkbox_big_done-N.png);
}

.project.canceled > .checkbox {
	background-image: url(ThingsFileImages/checkbox_big_canceled-N.png);
}

.project.completed > .title,
.project.canceled > .title {
	background: none;
}

	</style>
</head>
  	<body>
  	<xsl:choose>
	  	<xsl:when test="(string-length(/things/@author) &gt; 0)">
	  	
		  	<xsl:for-each select="things/person">
		  	<h1>
		  		<xsl:if test="@id = /things/@author">
		  		To-do list
				from <a><xsl:attribute name="class">author</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="email"/></xsl:attribute><xsl:value-of select="firstname"/><xsl:value-of select="' '"/><xsl:value-of select="lastname"/></a>
				created on
				    <span class="created">
					<xsl:call-template name="FormatDate">
		          		<xsl:with-param name="DateTime" select="/things/@created"/>
		        	</xsl:call-template>
					</span>
				</xsl:if>
			</h1>
			</xsl:for-each>
		</xsl:when>
		<xsl:otherwise>
			<h1>
				To-do list
				created on
					<span class="created">
					<xsl:call-template name="FormatDate">
		          		<xsl:with-param name="DateTime" select="/things/@created"/>
		        	</xsl:call-template>
					</span>
			</h1>
		</xsl:otherwise>
	</xsl:choose>
	
	<ol>
		<xsl:for-each select="things/todo">
			<xsl:call-template name="FormatTodo" />
		</xsl:for-each>
		
		<xsl:for-each select="things/project">
			<xsl:call-template name="FormatProject" />
		</xsl:for-each>
		
	</ol>
	
  </body>
  </html>
</xsl:template>
</xsl:stylesheet>

